function [omega,T]=ORCA_READ(gasfile,freecluster,cluster,N,isDimer)
% .m script to extract thermochemisty data from ORCA,
% processing output files for T=25,200,400 deg Celsius
%
% AUTHOR: JAIME GARRIDO ALDEA AND MARA PILAR DE LARA CASTELLS, 2022
%
% INPUTS:
%     -GASFILE: name of the ORCA .out file of the free gas.
%     -FREECLUSTER: name of the ORCA .out file of the cluster with no gas molecules-
%     -CLUSTER: name of the ORCA .out file of the cluster with gas molecules
%     -N: number of adsorbants molecules;
%     -REMARKS: INCLUDE THE .out extension!!!!
%
%
% 
%-------------------------------------------------------------------------------
gasfile=fopen(gasfile);
freecluster=fopen(freecluster);
cluster=fopen(cluster);
corrections=load('update.txt');
E1=[];
E2=[];
E3=[];
Scluster=[];
Sfreecluster=[];
i=1;
j=1;
k=1;
line=fgetl(cluster);
line=fgetl(cluster);
while (all(not(line==-1)) || isempty(line))
    if startsWith(line,'Total thermal energy')
        splitLine=strsplit(line);
        E1(i)=str2double(splitLine(4));
        i=i+1; 
    end
    if startsWith(line,'THERMOCHEMISTRY AT')
        splitLine=strsplit(line);
        T(j)=sscanf(char(splitLine(3)),'%f');
        j=j+1; 
    end
    if startsWith(line,'Final entropy term')
        splitLine=strsplit(line);
        Scluster(k)=str2double(splitLine(5));
        k=k+1; 
    end
    line=fgetl(cluster);
end
if isDimer==0
 E1=E1-(corrections(N+1,2)-corrections(N+1,3)); 
end
if isDimer==1
    E1=E1-corrections(ceil(N/2+1),4)*0.0367493;
end
i=1;
k=1;
line=fgetl(freecluster);
line=fgetl(freecluster);
while (all(not(line==-1)) || isempty(line))
    if startsWith(line,'Total thermal energy')
        splitLine=strsplit(line);
        E2(i)=str2double(splitLine(4));
        i=i+1; 
    end
    if startsWith(line,'Final entropy term')
        splitLine=strsplit(line);
        Sfreecluster(k)=str2double(splitLine(5));
        k=k+1; 
    end
    line=fgetl(freecluster);
end
i=1;
line=fgetl(gasfile);
line=fgetl(gasfile);
while (all(not(line==-1)) || isempty(line))
    if startsWith(line,'Total thermal energy')
        splitLine=strsplit(line);
        E3(i)=str2double(splitLine(4));
        i=i+1; 
    end
    line=fgetl(gasfile);
end
energ=E1-E2-E3.*N-Scluster +Sfreecluster;
h2kcal = 627.50960;
omega=energ*h2kcal;

       