function F=phaseDiagramGenerator(integers,gasfile,freecluster,format,titlee,T,p,isDimer,colorMatrix,writeFile)
% AUTHOR: JAIME GARRIDO ALDEA AND MARA PILAR DE LARA CASTELLS - 2022
% INPUT: check the input files given as example for explanation.
%--------------------------------------------------------------------------
tic;
data={};%data will be an array in which data{i} is the omega matrix corresponding to the
% case with integers(i) O2 molecules.
for i=1:length(integers)
    data{i}=omega(integers(i),gasfile,freecluster,strcat(int2str(integers(i)),'.out'),format,T,p,isDimer,writeFile);
end
F=[];
for k=1:length(p)
    for j=1:length(T)
        vector=[];
        for i=1:length(integers)
            vector(i)=data{i}(k,j);
        end
        %vector
        [~,imin]=min(vector);
        F(k,j)=imin; 
    end
end
T=T+273.15; % We reconvert T to kelvin for the plot
p=p*1000; % We convert p to mbar for the plot
%---------------------------CREATING THE PLOT AND CUSTOMIZING
%IT--------------
figure(1)
contourf(T,p,F) %Crea  el diagrama.
title(titlee,'fontweight','bold','fontsize',20);
xlabel('T (K)','fontweight','bold','fontsize',20);
ylabel ("P (mbar)",'fontweight','bold','fontsize',20);
ylim([min(p) max(p)])
set(gca, 'YScale', 'log')
TICKS=[];
inferiorTick=ceil(log10(min(p)));
superiorTick=floor(log10(max(p)));
k=1;
for i=inferiorTick:superiorTick
    TICKS(k)=10^i;
    k=k+1;
end
clear k;
yticks(TICKS);
xlim([min(T) max(T)]);
inferiorTick=100*ceil(min(T)/100);
superiorTick=max(T);
xticks([inferiorTick:50:superiorTick]);
set(gca,'fontweight','bold','FontSize',16)
%------------------------TIME TO CUSTOMIZE THE
%COLOURBAR-------------------------------
numcolors=max(max(F));
if size(colorMatrix)==[0 0] %if colorMatrix is an 'empty' matrix
colors=jet(numcolors); % colors is a colormap
else
    colors=colorMatrix(1:numcolors,:); %colors is a colormap
end
colormap(colors); %sets the current figure's colormap to colors
colorbar %appends a colorbar to the current axes in the default (right) location
caxis([1 max(max(F))]); % The first colour is assigned to the value 1 and
% the last color is assigned to the value max(max(F))
enes={};
for i=1:length(integers)
    if isDimer==0
        enes{i}=strcat('n=',int2str(integers(i)));
    end
    if isDimer==1
        enes{i}=strcat('n=',num2str(integers(i)/2));
    end
end
 cbarHandle = colorbar('YTick',...
    [1+0.5*(numcolors-1)/numcolors:(numcolors-1)/numcolors:numcolors],...
     'YLim', [1 numcolors],  'YTickLabel',enes);
  t2=toc;
 fprintf('Time elapsed while running the program %14.6f seconds \n',t2)
 waitfor(1)
end
